#
# spec file for package libticonv (Version 1.1.0)
#

# norootforbuild

Name:           libticonv
BuildRequires:  glib2-devel
Version:        1.1.3
Release:        %mkrel 2
Url:            http://ticalc.org
Summary:        A library for handling Ti charset conversions
License:        GPL
Group:          System/Libraries
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The ticonv library is a library capable of conversions between TI
charsets and UTF-8 / UTF-16 charsets but uses UTF-16 natively.

The library supports all the currently available calculators:
- TI8x calculators: TI73, 82, 83, TI83+, 85 and 86,
- TI9x calculators: TI89, 92, 92+ and V200PLT,
- built-in USB calculators: TI84+ and Titanium.

%package -n     libticonv3
License:        GPL
Summary:        Ticonv runtime library
Group:          System/Libraries

%description -n libticonv3
This package contains the TiConv runtime library.



%package        devel
License:        GPL
Summary:        Development files for libticonv
Group:          Development/Libraries
Requires:       libticonv3 = %{version}

%description    devel
This package contains the header files and libraries needed to develop
programs that use the ticonv library.



%prep
%setup -q

%build
export CFLAGS="%{optflags}"
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall
rm -f %{buildroot}%{_libdir}/libticonv.la

%clean
rm -rf %{buildroot}

%files -n libticonv3
%defattr(-,root,root)
%{_libdir}/libticonv.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/tilp2
%{_libdir}/libticonv.so
%{_libdir}/pkgconfig/ticonv.pc


%changelog
* Sat Jul 30 2016 adrianomorselli <adrianomorselli> 1.1.3-2uplos2016
- rebuild

* Sat Jul 16 2016 bb <bb> 1.1.3-2pclos2016
- rebuild for 2016
- fix rpm group

* Tue Sep 04 2012 gseaman <galen.seaman at comcast.net> 1.1.3-1pclos2012
- build for PCLinuxOS


